Draft Text/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Использование== # Нажмите кнопку {{KEY|16px Текст}}, или нажмите клавишу {{KEY|T}}, а зате...")
No edit summary
Line 14: Line 14:
==Использование==
==Использование==
# Нажмите кнопку {{KEY|[[Image:Draft Text.png|16px]] [[Текст]]}}, или нажмите клавишу {{KEY|T}}, а затем{{KEY|E}}
# Нажмите кнопку {{KEY|[[Image:Draft Text.png|16px]] [[Текст]]}}, или нажмите клавишу {{KEY|T}}, а затем{{KEY|E}}
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Укажите точку на трёхмерном виде или задайте [[Draft_Coordinates/ru|координаты]]
# Введите желаемый текст нажимая {{KEY|ENTER}} между каждыми строками
# Enter the desired text, pressing {{KEY|ENTER}} between each line
# Press {{KEY|ENTER}} twice to finish the operation.
# Дважды нажмите {{KEY|ENTER}} для завершения.


==Options==
==Options==

Revision as of 20:21, 11 February 2017

Draft Text

Системное название
Draft Text
Расположение в меню
Черчение → Текст
Верстаки
Draft, Arch
Быстрые клавиши
T E
Представлено в версии
-
См. также
Нет

Описание

Инструмент Текст позволяет добавить в документ текстовую область в указанную точку. Инструмент использует предварительно выбранный размер и цвет текста во вкладке Задачи.

Использование

  1. Нажмите кнопку Текст, или нажмите клавишу T, а затемE
  2. Укажите точку на трёхмерном виде или задайте координаты
  3. Введите желаемый текст нажимая ENTER между каждыми строками
  4. Дважды нажмите ENTER для завершения.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • ДанныеPosition: The base point of the text block
  • ДанныеLabel Text: The contents of the text block
  • ВидDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • ВидFont Size: The size of the letters
  • ВидJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • ВидLine Spacing: Specifies the space between lines of text
  • ВидRotation: Specifies a rotation to be applied to the text
  • ВидRotation Axis: Specifies the axis to use for the rotation
  • ВидFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

makeText (string or list, [Vector], [screenmode])
  • Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line.
  • The current Draft color and text height and font specified in preferences are used.
  • If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
  • Returns the newly created object.

Example:

import FreeCAD,Draft
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))